Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05841 Misc. Minor N/A Feb 6, 2015, 00:09 Feb 6, 2015, 15:16
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver gunsmoke.cpp
Version 0.158 Fixed in Version 0.159 Build 64-bit
Summary 05841: gunsmoke, gunsmokej, gunsmokeu, gunsmokeua: Dates of every version
Description World version: 11/03/85 (november 3, 1985)
Japan version: 11/03/85 (november 3, 1985)
USA set 1: 11/03/85 (november 3, 1985), the only difference found is the code: "GSR_03"
USA set 2: 11/03/85 (november 3, 1985), Has code: "GSA_03"


Source: https://tcrf.net/Gun.Smoke_(Arcade)#Serial_String
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems gunsmoke, gunsmokej, gunsmokeu, gunsmokeua
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.11442
Haze
Senior Tester
Feb 6, 2015, 08:18
edited on: Feb 6, 2015, 08:25
based on sidearms the '85113' isn't the revision date, but the game 'code'. Possibly when the project was started

Offset(h) 00 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F

00000A80 01 02 01 03 01 04 01 06 01 01 02 01 03 01 04 38 ...............8
00000A90 36 31 31 35 20 20 20 53 69 64 65 41 72 6D 73 00 6115 SideArms.
00000AA0 4E FF 19 86 11 29 3D 3D 3D 3D 3D 3D 20 4E 6F 6E Nÿ.†.)====== Non
00000AB0 20 20 4A 20 41 20 50 20 41 20 4E 20 3D 3D 3D 3D J A P A N ====
00000AC0 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D ==========

see here, side arms (all sets) have 86115, but the actual revision /build date is stored after that (19861129) (which differs between sets)

the fact that the code you've posted does not differ at all between sets suggests the same.


Gun Smoke actually appears to have the same

Offset(h) 00 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F

00007E50 38 35 31 31 33 20 20 20 20 47 75 6E 6D 61 6E 20 85113 Gunman
00007E60 01 00 4A FF 19 85 11 15 3D 3D 20 47 53 4A 5F 30 ..Jÿ.…..== GSJ_0
00007E70 33 20 3D 3D 20 2E 2E 2E 2E 2E 2E 2E 2E 2E 2E 2E 3 == ...........
00007E80 2E 2E 2E 2E 2E 2E 2E 2E ........

note, 19851115 is the actual build date on the Japan set (2nd line, starting at the 5th value) so it's 15th Novemeber 1985.
'gunsmokeu' and 'gunsmoke' have the same.

'gunsmokeua' has 19860408 placing it 5 months later, which makes sense as there are actual code changes.

User avatar
No.11443
Haze
Senior Tester
Feb 6, 2015, 09:15
anyway, i've added the correct dates to each set